﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ComboBoxItemSource
    {
        public string CityName { get; set; }
        public string CityNo { get; set; }
    }
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Model> _EmployeeDetails;
        public ObservableCollection<Model> EmployeeDetails
        {
            get { return _EmployeeDetails; }
            set
            {
                _EmployeeDetails = value;
                OnPropertyChanged("EmployeeDetails");
            }
        }

        private ObservableCollection<ComboBoxItemSource> cityCollection;
        public ObservableCollection<ComboBoxItemSource> CityCollection
        {
            get { return cityCollection; }
            set { cityCollection = value; }
        }
        public ViewModel()
        {
            GetEmployeeDetails();
            CityCollection = new ObservableCollection<ComboBoxItemSource>()
            {
                new ComboBoxItemSource() { CityName= "Austria", CityNo= "A001" },
                new ComboBoxItemSource() { CityName= "Zestuaz", CityNo= "A032" },
                new ComboBoxItemSource() { CityName= "Eszrtr", CityNo= "A011" }
            };          
        }
        public void GetEmployeeDetails()
        {
            EmployeeDetails = new ObservableCollection<Model>();
            EmployeeDetails.Add(new Model() { EmployeeId = 1, EmployeeName = "John", City = "Austria", MailId = "john1@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 2, EmployeeName = "Sam", City = "Austria", MailId = "sam2@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 3, EmployeeName = "Sam", City = "Eszrtr", MailId = "swathi3@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 4, EmployeeName = "Guhan", City = "Austria", MailId = "guhan4@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 5, EmployeeName = "Monisha", City = "Zestuaz", MailId = "monisha5@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 6, EmployeeName = "Ram", City = "Eszrtr", MailId = "ram6@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 7, EmployeeName = "Sridhar", City = "Austria", MailId = "Sridhar7@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 8, EmployeeName = "Mano", City = "Austria", MailId = "Mano8@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 9, EmployeeName = "Hema", City = "Zestuaz", MailId = "hema9@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 10, EmployeeName = "Kasthuri", City = "Austria", MailId = "kasthuri10@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 11, EmployeeName = "Jagan", City = "Zestuaz", MailId = "jagan11@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 12, EmployeeName = "Gowtham", City = "Eszrtr", MailId = "gowtham12@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 13, EmployeeName = "Kalpana", City = "Austria", MailId = "kalpana13@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 14, EmployeeName = "Jeeva", City = "Zestuaz", MailId = "jeeva14@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 15, EmployeeName = "Samuel", City = "Eszrtr", MailId = "samuel15@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 16, EmployeeName = "Riya", City = "Austria", MailId = "riya16@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 17, EmployeeName = "Pavithra", City = "Zestuaz", MailId = "pavithra17@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 18, EmployeeName = "Kumar", City = "Eszrtr", MailId = "kumar18@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 19, EmployeeName = "John", City = "Austria", MailId = "john1@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 20, EmployeeName = "Sam", City = "Austria", MailId = "sam2@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 21, EmployeeName = "Sam", City = "Eszrtr", MailId = "swathi3@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 22, EmployeeName = "Guhan", City = "Austria", MailId = "guhan4@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 23, EmployeeName = "Monisha", City = "Zestuaz", MailId = "monisha5@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 24, EmployeeName = "Ram", City = "Eszrtr", MailId = "ram6@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 25, EmployeeName = "Sridhar", City = "Austria", MailId = "Sridhar7@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 26, EmployeeName = "Mano", City = "Austria", MailId = "Mano8@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 27, EmployeeName = "Hema", City = "Zestuaz", MailId = "hema9@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 28, EmployeeName = "Kasthuri", City = "Austria", MailId = "kasthuri10@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 29, EmployeeName = "Jagan", City = "Zestuaz", MailId = "jagan11@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 30, EmployeeName = "Gowtham", City = "Eszrtr", MailId = "gowtham12@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 31, EmployeeName = "Kalpana", City = "Austria", MailId = "kalpana13@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 32, EmployeeName = "Jeeva", City = "Zestuaz", MailId = "jeeva14@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 33, EmployeeName = "Samuel", City = "Eszrtr", MailId = "samuel15@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 34, EmployeeName = "Riya", City = "Austria", MailId = "riya16@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 35, EmployeeName = "Pavithra", City = "Zestuaz", MailId = "pavithra17@gmail.com" });
            EmployeeDetails.Add(new Model() { EmployeeId = 36, EmployeeName = "Kumar", City = "Eszrtr", MailId = "kumar18@gmail.com" });
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string PropertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
        }
    }
}
            
        
     

